> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List the user's ready files, optionally filtered by zone



## OpenAPI

````yaml /api-reference/mobilerun-va-chat.yaml get /agents/files
openapi: 3.1.0
info:
  title: Mobilerun VA Chat
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /agents/files:
    get:
      tags:
        - Files
      summary: List the user's ready files, optionally filtered by zone
      operationId: filesList
      parameters:
        - in: query
          name: zone
          required: false
          schema:
            enum:
              - user
              - agent
              - workflow
              - skills
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  files:
                    items:
                      properties:
                        createdAt:
                          format: date-time
                          type: string
                        createdBy:
                          enum:
                            - user
                            - agent
                            - workflow
                          type: string
                        displayName:
                          type:
                            - string
                            - 'null'
                        enabled:
                          type: boolean
                        fileId:
                          format: uuid
                          type: string
                        filename:
                          type: string
                        mimeType:
                          type: string
                        sizeBytes:
                          type: number
                        zone:
                          enum:
                            - user
                            - agent
                            - workflow
                            - skills
                          type: string
                      required:
                        - fileId
                        - filename
                        - displayName
                        - mimeType
                        - sizeBytes
                        - zone
                        - enabled
                        - createdAt
                        - createdBy
                      type: object
                    type: array
                  quota:
                    properties:
                      currentBytes:
                        minimum: 0
                        type: integer
                      quotaBytes:
                        minimum: 0
                        type: integer
                    required:
                      - currentBytes
                      - quotaBytes
                    type: object
                required:
                  - files
                  - quota
                type: object
          description: User's ready files
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const files = await client.files.list();

            console.log(files.files);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            files = client.files.list()
            print(files.files)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````